Scf *get_scf( char *filename );

void
 end_align(SEQUENCE * query, SEQUENCE * seq,
	   int match, int mismatch, int gap, int max, int smith_waterman,
	   int *q, int *s, int *score, int *matches);

extern int sim_mat[256][256];

SEQUENCE *get_3_vec(SEQUENCE * vec, int sc, int sp);
SEQUENCE *get_5_vec(SEQUENCE * vec, int sc, int sp);
SEQUENCE *scf2seq(Scf * scf, char *name);	/* extract the sequence from an scf */


static void
doSequenceAndTraceAlignment(SEQUENCE *query, Scf *scf, char *scf_file,
                            int sc, int sp, int max_clip, int shuffle,
                            int argc, char **argv);

void
 try_trace_alignment(Scf * scf, SEQUENCE * vec, int argc, char **argv,
		     int *clip_point, int *score, float *mean, float *var,
		     int *ok, int *shuffle);
void
 try_seq_alignment(SEQUENCE * seq, SEQUENCE * vec, int max_clip, int argc, char **argv,
		   int *clip_pos, int *clip_pos_vec, int *score, int *matches,
		   float *mean, float *stdev, int *ok, int *shuffle);

#define MAX_FILENAME_LEN 256
