Scf *get_scf( char *filename );

void
 end_align(SEQUENCE * query, SEQUENCE * seq,
	   int match, int mismatch, int gap, int max, int smith_waterman,
	   int *q, int *s, int *score, int *matches);

extern int sim_mat[256][256];

SEQUENCE *get_5_vec(SEQUENCE * vec, int sc, int sp);
SEQUENCE *scf2seq(Scf * scf, char *name);	/* extract the sequence from an scf */


static void
doSequenceToTraceAlignment(SEQUENCE *query, Scf *scf, char *scf_file,
                            int argc, char **argv);

void
try_trace_alignment(Scf * scf, SEQUENCE * vec, int argc, char **argv,
		     int *clip_point, int *score);

static void
write_scf_alignment (FILE *fp, Scf *scf, int trace_start, int trace_end,
                           int base_count, char *base, int base_start,
                           int base_end, int *trace_coord);

#define MAX_FILENAME_LEN 256

#ifndef MAIN
#define MAIN 1
#endif

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif
